ctng_sample:
  - x86_64-centos6-linux-gnu
  - powerpc64le-unknown-linux-gnu
  - aarch64-unknown-linux-gnu
  - s390x-ibm-linux-gnu
ctng_cpu_arch:
  - x86_64
  - powerpc64le
  - aarch64
  - s390x
# gdb is optional - commenting this will disable gdb from being built.  For gcc 8.2, that's what we need to do.
#ctng_gdb:     # [not ppc64le]
#  - 7.12.1    # [not ppc64le]
ctng_gcc:
  - 10.2.0
  - 10.2.0
  - 10.2.0
  - 10.2.0
libgfortran_soname:
  - 5
  - 5
  - 5
  - 5
ctng_binutils:
  - 2.36
  - 2.36
  # aarch requires explicit this version to bootstrap
  - 2.36
  # s390x does not build proper with more recent binutils version
  - 2.36
ctng_target_platform:
  - linux-64
  - linux-ppc64le
  - linux-aarch64
  - linux-s390x
old_ctng_vendor:
  - conda_cos7
  - conda_cos7
  - conda
  - conda_cos7
ctng_vendor:
  - conda
#ctng_duma:
#  - 2.5.15
ctng_gcc_build_number:
  - 0
_libgcc_mutex:
  - 0.1 main
ctng_gmp:
  - 6.2.1
ctng_isl:
  - 0.23
ctng_libc:
  - gnu
ctng_kernel:
  - 3.10
  - 3.10
  - 4.14
  - 3.10
ctng_libiconv:
  - 1.15
ctng_mpc:
  - 1.2.1
ctng_nature:
  - shared
ctng_ncurses:
  - 6.2
conda_glibc_ver:
  - 2.17
  - 2.17
  - 2.26
  - 2.17
# openmp versions
openmp_ver:
  - 5.1
libgomp_ver:
  - 1.0.0

zip_keys:
  - - conda_glibc_ver
    - old_ctng_vendor
    - ctng_kernel
    - ctng_sample
    - ctng_cpu_arch
    - ctng_binutils
    - ctng_target_platform
  - - ctng_gcc
    - libgfortran_soname
